Manifest-Version: 1.0
Bnd-LastModified: 1766100117162
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal OSGi Web WAB Generator Implementation
Bundle-SymbolicName: com.liferay.portal.osgi.web.wab.generator.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.21.hotfix-10392-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.petra.string;version="1.5",com.liferay.por
 tal.events;version="3.1",com.liferay.portal.file.install;version="1.0
 ",com.liferay.portal.kernel.configuration;version="6.3",com.liferay.p
 ortal.kernel.deploy.auto;version="7.1",com.liferay.portal.kernel.depl
 oy.auto.context;version="6.3",com.liferay.portal.kernel.deploy.hot;ve
 rsion="7.1",com.liferay.portal.kernel.log;version="7.0",com.liferay.p
 ortal.kernel.module.framework;version="1.4",com.liferay.portal.kernel
 .plugin;version="6.4",com.liferay.portal.kernel.servlet;version="8.5"
 ,com.liferay.portal.kernel.util;version="10.38",com.liferay.portal.ke
 rnel.xml;version="7.0",com.liferay.portal.osgi.web.wab.generator;vers
 ion="1.0",com.liferay.portal.util;version="4.27",javax.crypto,javax.c
 rypto.spec,javax.naming,javax.net.ssl,javax.script,javax.servlet,java
 x.xml.namespace,javax.xml.parsers,javax.xml.xpath,org.osgi.framework;
 version="1.8",org.osgi.resource;version="1.0",org.osgi.service.url;ve
 rsion="1.0",org.osgi.util.promise;version="1.1",org.osgi.util.tracker
 ;version="1.5",org.slf4j,org.w3c.dom,org.xml.sax,org.xml.sax.helpers
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Static
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.osgi.web.wab.generator.internal,co
 m.liferay.portal.osgi.web.wab.generator.internal.artifact,com.liferay
 .portal.osgi.web.wab.generator.internal.connection,com.liferay.portal
 .osgi.web.wab.generator.internal.handler,com.liferay.portal.osgi.web.
 wab.generator.internal.processor,com.liferay.util,aQute.bnd.cdi,aQute
 .bnd.component,aQute.bnd.header;version="2.1",aQute.bnd.make.componen
 t,aQute.bnd.osgi;version="4.2",aQute.bnd.service.verifier;version="1.
 0.0",aQute.bnd.version;version="2.1",aQute.lib.filter;version="1.2.0"
 ,com.liferay.ant.bnd.jsp,com.liferay.whip.util,aQute.bnd.annotation;v
 ersion="1.44.0",aQute.bnd.annotation.headers;version="1.1",aQute.bnd.
 annotation.xml;version="1.1.0",aQute.bnd.bundle.annotations;version="
 1.0",aQute.bnd.classfile;version="1.550.0",aQute.bnd.component.annota
 tions;version="1.4.0",aQute.bnd.component.error;version="1.5.0",aQute
 .bnd.differ;version="1.3.0",aQute.bnd.help;version="1.2.0",aQute.bnd.
 help.instructions;version="1.0.0",aQute.bnd.http;version="1.4.0",aQut
 e.bnd.make,aQute.bnd.make.metatype,aQute.bnd.maven;version="1.6.0",aQ
 ute.bnd.metatype,aQute.bnd.osgi.resource;version="3.1",aQute.bnd.serv
 ice;version="4.3.0",aQute.bnd.service.classparser;version="1.0",aQute
 .bnd.service.diff;version="1.1",aQute.bnd.service.specifications;vers
 ion="1.0.0",aQute.bnd.service.url;version="1.4.0",aQute.bnd.signature
 s;version="1.0.0",aQute.bnd.util.dto;version="1.0",aQute.bnd.xmlattri
 bute,aQute.lib.base64;version="1.3.0",aQute.lib.collections;version="
 3.2.0",aQute.lib.converter;version="2.1.0",aQute.lib.exceptions;versi
 on="2.2",aQute.lib.hex;version="1.3.0",aQute.lib.io;version="3.2",aQu
 te.lib.strings;version="1.7.0",aQute.lib.tag;version="1.4",aQute.lib.
 utf8properties;version="4.0.0",aQute.lib.zip;version="1.0",aQute.libg
 .command;version="3.3.0",aQute.libg.cryptography;version="1.2.0",aQut
 e.libg.generics;version="1.0.1",aQute.libg.glob;version="1.5.0",aQute
 .libg.qtokens;version="1.1",aQute.libg.reporter;version="1.5.1",aQute
 .libg.slf4j;version="1.0",aQute.libg.tuple;version="1.0",aQute.servic
 e.reporter;version="1.0.1",aQute.bnd.annotation.metatype;version="1.4
 5.0",aQute.bnd.build;version="3.1",aQute.bnd.build.model;version="3.3
 .0",aQute.bnd.build.model.clauses;version="2.1",aQute.bnd.build.model
 .conversions;version="1.0.0",aQute.bnd.connection.settings,aQute.bnd.
 maven.support;version="3.0",aQute.bnd.metatype.annotations;version="1
 .4.0",aQute.bnd.service.progress;version="1.2.0",aQute.bnd.util.home;
 version="1.0.0",aQute.lib.json;version="3.3.0",aQute.lib.settings;ver
 sion="1.2.0",aQute.lib.stringrover;version="1.0",aQute.libg.filters;v
 ersion="1.0",org.osgi.service.repository;version="1.1",aQute.bnd.anno
 tation.plugin;version="1.0.0",aQute.bnd.exporter.executable,aQute.bnd
 .exporter.runbundles,aQute.bnd.osgi.eclipse;version="1.0.0",aQute.bnd
 .properties;version="2.0",aQute.bnd.remoteworkspace.server,aQute.bnd.
 resource.repository;version="1.0.0",aQute.bnd.service.action;version=
 "2.0.1",aQute.bnd.service.export;version="1.0.0",aQute.bnd.service.ex
 tension;version="1.0",aQute.bnd.service.lifecycle;version="1.0.0",aQu
 te.bnd.service.release;version="1.0.0",aQute.bnd.service.repository;v
 ersion="1.4",aQute.bnd.url;version="1.3",aQute.lib.concurrentinit;ver
 sion="4.0",aQute.lib.deployer;version="1.0.0",aQute.lib.fileset;versi
 on="3.3.0",aQute.lib.mavenpasswordobfuscator;version="4.0",aQute.lib.
 xpath;version="4.1",aQute.libg.filelock;version="1.0.0",aQute.libg.se
 d;version="1.2.0",aQute.libg.uri;version="3.2.0",aQute.bnd.remotework
 space.client,aQute.bnd.service.remoteworkspace;version="1.0.0",aQute.
 lib.aspects;version="1.0.0",aQute.lib.link,aQute.lib.persistentmap;ve
 rsion="1.1.0"
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.osgi.web.wab.generator.WabGenerator";uses:="com.liferay.porta
 l.osgi.web.wab.generator"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.module.framework.ModuleServiceLife
 cycle)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.util.Http)";effective:=active,osgi.service;filter:=
 "(objectClass=javax.servlet.ServletContext)";effective:=active;resolu
 tion:=optional,osgi.contract;osgi.contract=JavaServlet;filter:="(&(os
 gi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee
 =JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.osgi.web.wab.generator.
 internal.WabGenerator.xml
Tool: Bnd-4.3.0.201909301554

